cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/applications" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"application": {
"name": "Acme Integration",
"redirect_url": "https://example.com/callback"
}
}'from exsited import build_client
client = build_client()
response = client.applications.create_settings_application(
{
"application": {
"name": "Acme Integration",
"redirect_url": "https://example.com/callback",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.applications.createSettingsApplication({
application: {name: 'Acme Integration', redirect_url: 'https://example.com/callback'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->applications->createSettingsApplication([
'application' => [
'name' => 'Acme Integration',
'redirect_url' => 'https://example.com/callback',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.applications.applications_dto.ApplicationsDto.SettingsApplication;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApplication> response = client.applications().createSettingsApplication(
Map.of(
"application", Map.of(
"name", "Acme Integration",
"redirect_url", "https://example.com/callback")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Applications.CreateSettingsApplicationAsync(new Dictionary<string, object?>
{
["application"] = new Dictionary<string, object?>
{
["name"] = "Acme Integration",
["redirect_url"] = "https://example.com/callback",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.applications.createSettingsApplication({
'application': {
'name': 'Acme Integration',
'redirect_url': 'https://example.com/callback',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Applications().CreateSettingsApplication(context.Background(), map[string]any{
"application": map[string]any{
"name": "Acme Integration",
"redirect_url": "https://example.com/callback",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"application": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Applications
Create an application
Creates an OAuth application and returns it under application.
POST
/
settings
/
applications
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/applications" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"application": {
"name": "Acme Integration",
"redirect_url": "https://example.com/callback"
}
}'from exsited import build_client
client = build_client()
response = client.applications.create_settings_application(
{
"application": {
"name": "Acme Integration",
"redirect_url": "https://example.com/callback",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.applications.createSettingsApplication({
application: {name: 'Acme Integration', redirect_url: 'https://example.com/callback'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->applications->createSettingsApplication([
'application' => [
'name' => 'Acme Integration',
'redirect_url' => 'https://example.com/callback',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.applications.applications_dto.ApplicationsDto.SettingsApplication;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApplication> response = client.applications().createSettingsApplication(
Map.of(
"application", Map.of(
"name", "Acme Integration",
"redirect_url", "https://example.com/callback")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Applications.CreateSettingsApplicationAsync(new Dictionary<string, object?>
{
["application"] = new Dictionary<string, object?>
{
["name"] = "Acme Integration",
["redirect_url"] = "https://example.com/callback",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.applications.createSettingsApplication({
'application': {
'name': 'Acme Integration',
'redirect_url': 'https://example.com/callback',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Applications().CreateSettingsApplication(context.Background(), map[string]any{
"application": map[string]any{
"name": "Acme Integration",
"redirect_url": "https://example.com/callback",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"application": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Send the application under
application with a name and a redirect_url; both are required. Exsited generates the client id and secret, and the API never returns them.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new application, under application.
Show child attributes
Show child attributes